Subject: Re: [Nsaas] Existing work, other things

From: Wangyuchen <[email-masked]>
Date: Mon, 15 Sep 2014 00:46:16 +0000

Again, there's been work done in the IETF on some of this (for example, network endpoint assessment (http://datatracker.ietf.org/wg/nea/charter/),

tunnel endpoint discovery, ipsp, and so on.  I think my more general concern is that recently there's been a great deal of work being brought into the IETF that's not product-driven and doesn't have "organic"

support, and it turns out to chew up a lot of IETF resources and frustrate the heck out of its proponents.

[YuChen] I am from the Security Product side. For many years, we have delivered physical boxes for FW, AntiDoS, IPSec etc. For the next generation products, we have been asked by our customers to provide value added service. Therefore, having a standard interface for Network Security functions are essential to enable the services.

No technical work comes out of it and nobody's happy.  Because it's not product-driven there tends not to be a clear, existing framework to slip it into along with real-world requirements and expectations for how it might work.

I don't think the problem statement/framework/requirements process that's developed is working well for the organization, IETF participants, or the industry, and I think that it might be time to take lessons learned about process and apply them here.

That is to say, rather than getting mired in the same old unsuccessful process, it might be a better idea to identify a narrowly-scoped piece of work that *needs* to be done and focus on that.  Talk to product people before bringing a proposal in and asking for a BOF.  I tend to see this effort as going the way of the "cloud" effort, and so on, but it's early enough that it doesn't have to proceed down that same path.  Talk to product people *NOW*, and identify why this work belongs in the IETF.  It should never be the case that the problem you're trying to solve is how to create an IETF working group, but rather how to accomplish a specific piece of technical work that improves networks and networking.

That is to say, talk to people who build products and talk to people who run networks, see what they need.  Bring your product managers into the process.

[YuChen] We will be participating in the NSaaS discussion.

Melinda